import dynamix_sdk.base as _base


class CloudapiComputeSetCustomFieldsResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeSetCustomFieldsProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def set_custom_fields(
        self,
        *,
        vm_id: int,
        custom_fields: str,
    ) -> CloudapiComputeSetCustomFieldsResultBool:
        ...
